import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 14.01.2007
  * @author
  */

public class MoebelGui extends JFrame {
  // Anfang Variablen
  private JButton jButton1 = new JButton();
  private Moeblierung moeblierung;
  private JButton jButton2 = new JButton();
  private JButton jButton3 = new JButton();
  private JButton jButton4 = new JButton();
  private JButton jButton5 = new JButton();
  // Ende Variablen

    private MoebelGui(String title) {
    // Frame-Initialisierung
    super(title);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) { System.exit(0); }
    });
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2 ;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jButton1.setBounds(8, 8, 123, 25);
    jButton1.setText("Stuhl");
    cp.add(jButton1);
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1ActionPerformed(evt);
      }
    });

    jButton2.setBounds(8, 40, 123, 25);
    jButton2.setText("Tisch");
    cp.add(jButton2);
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton2ActionPerformed(evt);
      }
    });

    jButton3.setBounds(8, 72, 123, 25);
    jButton3.setText("Schrank");
    cp.add(jButton3);
    jButton3.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton3ActionPerformed(evt);
      }
    });

    jButton4.setBounds(8, 104, 123, 25);
    jButton4.setText("Schrankwand");
    cp.add(jButton4);
    jButton4.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton4ActionPerformed(evt);
      }
    });

    jButton5.setBounds(192, 24, 75, 25);
    jButton5.setText("Ende");
    cp.add(jButton5);
    jButton5.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton5ActionPerformed(evt);
      }
    });

    // Ende Komponenten

    moeblierung= new Moeblierung();
    setResizable(false);
    setVisible(true);
  }

  // Anfang Ereignisprozeduren
  public void jButton1ActionPerformed(ActionEvent evt) {
    moeblierung.neuesMoebel("Stuhl", 120, 20, 0, "rot");
    moeblierung.zeichneAlle();
  }

  public void jButton2ActionPerformed(ActionEvent evt) {
    moeblierung.neuesMoebel("Tisch", 80, 80, 0, "rot");
    moeblierung.zeichneAlle();
  }

  public void jButton3ActionPerformed(ActionEvent evt) {
    moeblierung.neuesMoebel("Schrank", 10, 100, 90, "gruen");
    moeblierung.zeichneAlle();
  }

  public void jButton4ActionPerformed(ActionEvent evt) {
    moeblierung.neuesMoebel("Schrankwand", 220, 80, 90, "blau");
    moeblierung.zeichneAlle();
  }

  public void jButton5ActionPerformed(ActionEvent evt) {
    System.exit(0);
  }

  // Ende Ereignisprozeduren

  public static void main(String[] args) {
    new MoebelGui("Moebel-Gui");
  }
}

