import java.awt.Shape;
import java.awt.geom.GeneralPath;
import java.awt.geom.Rectangle2D;
import java.awt.geom.Line2D;


/**
 * Ein Schrank, der manipuliert werden kann und sich selbst auf einer Leinwand zeichnet.
 * 
 * @author Java-MS Groupies
 * hier claus albowski
 * Michael Klling und David J. Barnes und Axel Schmolitzky
 * @version 1.2  (25.02.04)
 */
public class Schrank extends Moebel
{

  /**
   * Erzeuge einen neuen Schrank.
   */
    public Schrank(int x, int y, int o, String f)
  {
    xPosition = x;
    yPosition = y;
    orientierung = o;
    farbe = f;
    istSichtbar = false;
    breite = 60;
    tiefe  = 37;
  }
  
  /**
   * Berechnet das zu zeichnende Shape anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      GeneralPath schrank = new GeneralPath();
      Shape rahmen = new Rectangle2D.Double(0, 0, breite, tiefe);
      Shape linie1 = new Line2D.Double(0, 0, breite, tiefe);
      Shape linie2 = new Line2D.Double(breite, 0, 0, tiefe);
      schrank.append(rahmen, false);
      schrank.append(linie1, false);
      schrank.append(linie2, false);
      
      return  transformiere(schrank);
  }
  
}
